# Get plan list for given project by projectId

Get plan list for given project by projectId

Endpoint: GET /plans/by-project/{projectId}
Version: 1.0.0.0
Security: bearer, appkey

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

## Path parameters:

  - `projectId` (string, required)
    The DrillPlan project id. In a DrillPlan project, you can define well data, design tasks for drilling, analyze drilling risks, create an operational activity plan, prepare for the AFE estimation, and generate a drilling program report for a well plan.

## Header parameters:

  - `slb-data-partition-id` (string, required)
    The data partition id.

## Response 200:

  - `200` (unknown)
    Success

## Response 200 fields (application/json):

  - `id` (string)

  - `name` (string)

  - `is_master` (boolean)

  - `status` (string)
    Enum: "Working"

  - `share_time` (string)

  - `share_by` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `message` (string)

